Ubuntu

[SRU] Global menubar items do not work when opening a document directly from nautilus with no LibreOffice instance running

Reported by Alex Valavanis on 2012-10-10
This bug affects 307 people
Affects Status Importance Assigned to Milestone
Application Menu Indicator
High
Ted Gould
BAMF
High
Marco Trevisan (Treviño)
LibreOffice Productivity Suite
Won't Fix
Medium
bamf (Ubuntu)
High
Didier Roche
Quantal
High
Didier Roche
indicator-appmenu (Ubuntu)
High
Unassigned
Quantal
High
Unassigned
libreoffice (Ubuntu)
High
Björn Michaelsen
Quantal
High
Björn Michaelsen

Bug Description

[IMPACT]

 * there is no menu available in some scenarios of opening LibreOffice
 * makes LibreOffice essentially unusable when opening a docuemnt directly

[TESTCASE]

 * open a existing file from nautilus -> no menu in a unity session

[Regression Potential]

 * changes are to the menu code integration, possible regressions will be there
 * package has been available for user testing https://launchpad.net/~bjoern-michaelsen/+archive/libreoffice-quantaltest-20120601 since 2012-10-26 without any reported regressions
 * see comment 74 for realworld enduser testing

---
pre-SRU description details:

1) Have no instance of LibreOffice running
2) open a document by double-clicking it in nautilus
3) new window has no menu
4) unfocusing/refocusing (e.g. by pressing F7 to bring up the spelling dialog) makes the menu appear

WORKAROUND: minimize and restore the LibreOffice window
(more permanent workaround, disable the global menu by removing the package "libreoffice-gtk").

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: libreoffice-gtk 1:3.6.2~rc2-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.6.1-0ubuntu2
Architecture: amd64
Date: Wed Oct 10 11:48:20 2012
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
SourcePackage: libreoffice
UpgradeStatus: Upgraded to quantal on 2012-09-30 (9 days ago)

original description:
In writer, none of the menubar items appear to work. Example:

* Open new document in Writer
* Type some text and highlight it
* Try Edit->Cut
>> Nothing happens
* Try Format->Change chase->UPPERCASE
>> Nothing happens!
workaround: restart your session after update

Alex Valavanis (valavanisalex) wrote :

- Doing this with a _new_ document works fine here.
- Running "libreoffice ~/Documents/somedoc.odt" works fine here too.
- Drag'nDropping a document from nautilus to a LibreOffice window works fine here.
- However, doubleclicking "~/Documenys/somedoc.odt" from nautilus exports a menu just fine, but there are no actions executed.

Adding unity too as the menu is obviously exported and this might be some focusing/mapping issue in unity too.

summary: - Global menubar items do not work in Writer
+ Global menubar items do not work when opening a document directly from
+ nautilus with no LibreOffice instance running
Changed in libreoffice (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed

hmmm, even the "no actions are executed" observation is not always reproducible. Most of the time it works here.

@Antionio: Could you have a look maybe?

Changed in libreoffice (Ubuntu):
importance: Undecided → High
Changed in libreoffice (Ubuntu Quantal):
assignee: nobody → Björn Michaelsen (bjoern-michaelsen)
Alex Valavanis (valavanisalex) wrote :

weird... seems fine after a restart!

I'll check it...

indeed, I dont see it after restarting my session.
I see the window needing an unfocus/refocus combo to make the menu appear, but it does appear pretty reliably now here (not tested too much yet after the restart).

Actions seem to work for me, but I have noticed that menu is not displayed when the file is opened. It requires the window to be unfocused and focused to get displayed...

as for the window needing a un- and refocus:
- I dont think LibreOffice does something on these events (Right, Antonio?)
- I see the menu being exported just fine in d-feet, so it is at least allready on the dbus before the refocus (cant check it in d-feet without unfocusing LO though)

So the question is, if its on dbus, why doesnt the menu show it? The window properties are set correctly too.

summary: - Global menubar items do not work when opening a document directly from
- nautilus with no LibreOffice instance running
+ Global menubar needs unfocus/refocus if opening a document directly from
+ nautilus (empty otherwise)

Another note: when I was experiencing the problem with Writer, I tried opening a new document in Calc... no such problem there.

@Alex: it seems to be only an issue for the first LibreOffice window appearing.

Executing Writer with G_DBUS_DEBUG=message I can see that actions are correctly published on DBus when window is shown, but not the GMenuModel. GMenuModel gets published when focusing the window again.

Using D-Feet right after unfocusing the window, I can read the GMenuModel. Then, after focusing the window again, GMenuModel gets published and displayed on the menubar...

Very weird stuff... menu seems to be ready, but for some reason is not read from the other side. Could this be a mutex problem in LO or is this a synchronization problem in indicator-appmenu?

maybe some "optimization" not exporting an empty menu (ignoring the fact that an empty menu can easily be populated later)?

description: updated
Adam Bruce (brucey-99) wrote :

Just a wild guess, but it's not related to this bug at all is it? Bug #1045372

This is to do with menu items being greyed out after unfocusing/refocusing the window

@Bjoern

I experienced some problems when publishing a populated menu. When switching from LO's main view to Writer or other application, only the top-level items from menubar are displayed...

I think it shouldn't be happening, but it happens...

I have tried to not exporting the action group, and menubar gets displayed... but exporting both ends up with GMenuModel not being published after GActionGroup.

@Adam

I don't think it is related. However, I have been noticing that HUD is not updated properly when actions and menu items are added or removed, but menubar is...

Sebastien Bacher (seb128) wrote :

Bjoern, I don't agree with the title's change, here the menus are missing when opening a .doc from nautilus and they are missing for good, they don't come back after focussing out and in or after waiting...

Martino Ronchi (bellanano) wrote :

I Can confirm, no menubar opening an ods document or other LibreOffice document and no menubar after focus-out/focus-in

While I saw it solved by a session restart yesterday, I can reproduce it again now. Changing back title.

summary: - Global menubar needs unfocus/refocus if opening a document directly from
- nautilus (empty otherwise)
+ Global menubar items do not work when opening a document directly from
+ nautilus with no LibreOffice instance running

note that was not based on my observation alone, but also on comment 5.

Ted Gould (ted) on 2012-10-11
Changed in libreoffice (Ubuntu Quantal):
status: Confirmed → Invalid
affects: unity (Ubuntu Quantal) → bamf (Ubuntu Quantal)
Changed in bamf (Ubuntu Quantal):
importance: Undecided → High
Changed in indicator-appmenu (Ubuntu Quantal):
status: New → Confirmed
importance: Undecided → High
Changed in indicator-appmenu:
status: New → Confirmed
Ted Gould (ted) wrote :

We basically believe this is a race between LO and indicator-appmenu. Indicator appmenu looks at new windows to see if they have menus on them, but doesn't have a way to see if they get added later. To fix we're looking at a way to register for a signal from BAMF to get the infomraiton when the atoms change so that we can see this data get added later.

Changed in bamf:
status: New → Confirmed
importance: Undecided → High
Changed in indicator-appmenu:
importance: Undecided → High
assignee: nobody → Ted Gould (ted)
Changed in bamf:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in bamf (Ubuntu Quantal):
assignee: nobody → Didier Roche (didrocks)
Changed in indicator-appmenu (Ubuntu Quantal):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in bamf (Ubuntu Quantal):
milestone: none → quantal-updates
Changed in indicator-appmenu (Ubuntu Quantal):
milestone: none → quantal-updates
Changed in libreoffice (Ubuntu Quantal):
milestone: none → quantal-updates
Changed in bamf:
milestone: none → 0.3.4
Changed in bamf:
milestone: 0.3.4 → 0.4.0
Ubuntu-QC-1 (aobreyss) wrote :

This is very much present in Quantal final release. Actually this is not new and various bug reports point in this direction making LibreOffice quit unusable for the users since clicking on a file to launch it is a very common approach.

Franck (alci) wrote :

@aobreyss: fix seems to be targeted at bamf 0.4 branch. There are 3 bugs targeted for 0.4.0. Two of them are already fixed, this one is remaining... so I guess Timo is currently working on it ! I'm confident we will get a fix soon.

Marius B. Kotsbak (mariusko) wrote :

Agree. I think it either should be fixed, or the new menubar should be reverted.

Jan Rathmann (kaiserclaudius) wrote :

I noticed that when I open a document and the LO window has no menu bar, the menu bar comes back when I'm minimizing the LO window and restoring it (e.g. clicking on its launcher icon).

description: updated
Mike Pasche (mike-d-pasche) wrote :

The "minimize/restore" workaround doesn't seem to work for LO Impress but it does seem to work for Writer and Calc.

Also switching the focus to another app and then to LO is a workaround...

Tomasz (dextras) wrote :

Again "switching the focus to another app and then to LO" workaround does not work for Impress. At least in my case.
LO: Version 3.6.2.2 (Build ID: 360m1(Build:2))
Ubuntu 12.10

Lance Eck (lance.eck) wrote :

See also https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1069971 for same/similar issue when opening from within program or with no file open at all. lo-menubar NOT installed; fresh install of Ubuntu 12.10.

For me neither "minimize/restore" nor "unfocus/refocus" makes the menu reappear in Impress. My workaround is to open Impress first and the use the File->open dialog to open my document.

Stefan Skotte (screemo) wrote :

For now I just removed libreoffice-gtk to get the old menus back.

Something is definitely not really catching events/and or attaching functionality, because I can sometimes get the menus but nothing works in them (eg. exit, open file doesn't trigger a thing).

Stefan Skotte (screemo) on 2012-10-22
Changed in libreoffice (Ubuntu):
status: Invalid → Confirmed
Changed in libreoffice (Ubuntu Quantal):
status: Invalid → Confirmed

@Stefan: Please dont change state unless you are sure this is not a bamf issue as indicated by ted above.

Changed in libreoffice (Ubuntu):
status: Confirmed → Invalid
Changed in libreoffice (Ubuntu Quantal):
status: Confirmed → Invalid
Ryan Lortie (desrt) wrote :

I can confirm this bug locally.

Looking at the D-Bus log, I see:

method call sender=:1.41 -> dest=org.ayatana.bamf serial=480 path=/org/ayatana/bamf/window60817505; interface=org.ayatana.bamf.window; member=Xprop
   string "_GTK_UNIQUE_BUS_NAME"
method return sender=:1.30 -> dest=:1.41 reply_serial=480
   string ""

...

method call sender=:1.41 -> dest=org.ayatana.bamf serial=461 path=/org/ayatana/bamf/window60817505; interface=org.ayatana.bamf.window; member=Xprop
   string "_GTK_UNIQUE_BUS_NAME"
method return sender=:1.30 -> dest=:1.41 reply_serial=461
   string ""

...

method call sender=:1.38 -> dest=org.ayatana.bamf serial=524 path=/org/ayatana/bamf/window60817505; interface=org.ayatana.bamf.window; member=Xprop
   string "_GTK_UNIQUE_BUS_NAME"
method return sender=:1.30 -> dest=:1.38 reply_serial=524
   string ""

in essence: bamf is reporting that the _GTK_UNIQUE_BUS_NAME property is not set on the window when it is first presented.

This means that either

  a) libreoffice is not setting the property before mapping the window (libreoffice bug)
  b) bamf is telling lies (bamf bug)

Pretty sure we can rule out the chances of this being in any other component...

Ryan Lortie (desrt) wrote :

The bamf code is a bit hairy, but basically it is synchronously calling XGetWindowProperty here, so I doubt that it's getting it wrong. Looks like a libreoffice issue...

Franck (alci) wrote :

@Ryan: have a look at https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1064962/comments/20
So I think basically its neither a libreoffice bug, nor really a bamf bug, but a specification bug in the way menus are going to be exported by applications...

@Bjoern @Ryan

I commited a fix for this some days ago. In that fix, window settings are set before it gets mapped, so this bug should never happen if that is the issue.

Peter Harvey (pdqharvey) wrote :

To help those needing to have a reliable workaround, it is this:

If NO Libreoffice documents are currently open, ensure that you open an EXISTING file from the general LibreOffice 'White Window'. Then the menus should be displayed.

This works for me, whereas minimising restoring etc. produce no benefit.

In case this is of help tpo those searching for the bug, I think the problem can be distilled thus:

Two scenarios -

A)
If first LO document to be opened already EXISTS, menus will NOT be displayed.
Subsequent documents (even of other LibreOffice types) WILL display menus.

B)
If first document opened is a NEW document, opening further EXISTING documents of the same type will force the first to close (with the offer to save it if file contents have changed) but the menus will then be displayed for all remaining LO documents.

NB:
Opening an EXISTING document from within the general LO 'White Window' causes menus to be visible in that and subsequent documents. Opening an EXISTING file from within a NEW document (of any type) seems to behave in the same way (with a curiously low importance given to the new document involved).

General:
Once things have gone wrong, and menus are hidden, etc, the icons already pinned to the Unity Launcher start to show a variety of bizarre results on right-clicking (Calc even showed up as a launcher for a Launchpad version of a browser window...), offering to be locked to the Launcher when they are already etc.

With the workaround above, LO is usable. However, Alt STILL fails to bring down the application menus...

Jason Rogers (jrog) wrote :

On a couple of occasions where I have had a document open in Writer for a while and have been switching between applications, I have returned to Writer to find that the menu is no longer showing up. I cannot restore it by minimizing and restoring, by switching between applications, by opening new documents, or any other such thing that I've tried so far. I'm assuming this is related to the other issues we're having with the menu, but I haven't seen this particular aspect of the problem reported by anyone else.

Lance Eck (lance.eck) wrote :

I have noted the same behavior noted by jrog, too. I end up selecting all and copying, then creating a new document and pasting. The new document has menus. Later, I have had this new document behave the same way the original did. I merely repeat the process. It's cumbersome but I don't lose the work, at least.

William (bthomas-akld) wrote :

The problem also occurs if I do "open recent" when a document is already open. The second doc opens with no menu displayed.

Peter Harvey (pdqharvey) wrote :

Apologies - I think my remarks about the visibility of the menus hold true, but I am experiencing cases where a previously existing document (opened as the FIRST document from within the LO 'White Window' ), displays menus which although VISIBLE, do not FUNCTION... The workaround MAY be to open a blank document in the first instance, THEN open an existing one in any manner you choose.

@Lance:
Even where the menus are gone to pot, I have had no difficulty simply saving my changes using Ctrl+S. That should be much less cumbersome than creating new documents all the time.

I really hate to moan, but I cannot be alone in finding this excruciatingly embarrasing (never mind tedious)... I used to recommend Ubuntu - but now I cannot. For over a year or more there have been major useability problems in this core application, all concerning LO integration with Unity and Global menus. This particular problem was immediately apparent on the Quantal Live CD final release; however, I went ahead an installed it, believing that (after so many problems in Oneiric and Precise) there must be an update waiting in the repos - but there wasn't, as we now realise. I know it's free software, I am deeply grateful to all the programmers and I am happy to make my donation to Canonical, but it beggars belief that time could be wasted coding for Amazon shopping (for heaven's sake!), leaving this crucially important application in such a poor state. Just my 2p of rant. Sorry, but it's finally beginning to get to me...

description: updated
summary: - Global menubar items do not work when opening a document directly from
- nautilus with no LibreOffice instance running
+ [SRU] Global menubar items do not work when opening a document directly
+ from nautilus with no LibreOffice instance running
Changed in libreoffice (Ubuntu):
status: Invalid → Fix Committed
Changed in libreoffice (Ubuntu Quantal):
status: Invalid → Fix Committed
description: updated
Dimoune (dimoune) on 2012-11-05
Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2012-11-05
Changed in libreoffice (Ubuntu):
status: Fix Released → Fix Committed
Elvis (elvis-gallegos) on 2012-11-07
Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
Changed in libreoffice (Ubuntu):
status: Fix Released → Fix Committed
Changed in indicator-appmenu (Ubuntu Quantal):
assignee: Ken VanDine (ken-vandine) → nobody
Changed in indicator-appmenu (Ubuntu):
assignee: Ken VanDine (ken-vandine) → nobody
description: updated
description: updated
tags: added: verification-needed
Pilot6 (hanipouspilot) on 2012-11-09
tags: added: verification-done
removed: verification-needed
Changed in df-libreoffice:
importance: Unknown → Medium
status: Unknown → Won't Fix
tags: added: verification-needed
removed: verification-done
Changed in bamf:
status: Confirmed → Won't Fix
102 comments hidden view all 182 comments
Jesús (jmarpu33) wrote :

<email address hidden>

1 comments hidden view all 182 comments
Sebastien Bacher (seb128) wrote :

(settings as verification-done based on comment 131, there are remaining issues but that update is an improvement for sure)

tags: added: verification-done
removed: verification-needed
Ricardo Pascua Jr (rdpascua) wrote :

Menu bar doesn't work strange but shortcut keys , and toolbar icon works.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:3.6.2~rc2-0ubuntu4

---------------
libreoffice (1:3.6.2~rc2-0ubuntu4) quantal-proposed; urgency=low

  * update to unitymenus patch Change-Id
    I56652b6074d0138128178b479503a21e0bcd0c7f (LP: #1064962)

libreoffice (1:3.6.2~rc2-0ubuntu3) quantal-proposed; urgency=high

  * packaging shouldnt try to move stuff it doesnt build on armel/armhf
 -- Bjoern Michaelsen <email address hidden> Wed, 24 Oct 2012 20:38:36 +0200

Changed in libreoffice (Ubuntu Quantal):
status: Fix Committed → Fix Released
Bernardo Donadio (bcdonadio) wrote :

I'm using 1:3.6.2~rc2-0ubuntu4 and report that the bug was NOT fixed. Same happens: in certain situations (like after a dialog appearing), the menus completely vanish.

Carlos Estrada (chemnic) wrote :

The bug continues after updating to the released fix. In Calc and Base the menu appears, but has no effect.

Marcello Nuccio (marcenuc) wrote :

@chemnic, have you checked comment #132? What happens if you wait 5 seconds before reopening LibreOffice, as stated at bug #1075263?

As Carlos said in comment #150, the fix does not solve the problem. Now I always get a menu bar but the menu is useless.
When the problem appears, all menu items, enable or disabled, do nothing when clicked.

It is not a calc/base specific issue as I got this in writer.

I can reproduce it anytime by openning a downloaded document from my gmail account.

Jason Rogers (jrog) wrote :

Just chiming in with a bit of additional data: for me, everything is working great after the update. I am unable to duplicate either of the remaining issues that others have mentioned in recent comments; my menus don't become useless (they always seem to work), and I don't have to wait 5 seconds to get the appropriate menus, either. I have no idea why the experience is so good in my case. Perhaps I'm doing something wrong? I have tried to reproduce the bugs in numerous ways, but can't seem to do so. (I'm happy to try things and/or provide more info., though.)

On 22 November 2012 15:56, Jason Rogers <email address hidden> wrote:

> Just chiming in with a bit of additional data: for me, everything is
> working great after the update. I am unable to duplicate either of the
> remaining issues that others have mentioned in recent comments; my menus
> don't become useless (they always seem to work), and I don't have to
> wait 5 seconds to get the appropriate menus, either. I have no idea why
> the experience is so good in my case. Perhaps I'm doing something wrong?
> I have tried to reproduce the bugs in numerous ways, but can't seem to
> do so. (I'm happy to try things and/or provide more info., though.)
>

I have everything working normally now with one exception, which is when I
download any Libre Office type of document from GMail or by any other means
through Firefox. When I do this, LO opens with the menus, but the menus do
not do anything, click any menu, nothing happens. To resolve, simply click
Firefox (or any other window you have open) then go back to LO and the
menus work perfectly.

The developers were probably very concerned that no menus were appearing
when clicking an LO document in Nautilus (which is now resolved) that the
Firefox issue got overlooked.

--
Regards,
Andy

Xavier Guillot (valeryan-24) wrote :

I still have the bug of inactive menus (there are always visible, now) in LibreOffice, with all Quantal updates installed and LO documents opened from Nautilus...

But it happens randomly, I can not reproduce special steps : it can occur just after opening documents, sometimes several times after close / open same document (even if waiting 5 seconds), and suddendly it works.

Or happens after a few minutes, or after having saved...

Carlos Estrada (chemnic) wrote :

I have just confirm that the bug still happens.

- Open a .odb file from nautilus.
- Menus work perfectly.
- Close LO Base.
- Open a .odt file from nautilus.
- Menus appear, but are useless.

I am not able to say when this happens and when it doesn't. I was just lucky, but I'm certain that the bug is still there.

@Comment 156: That is NOT this bug, but bug 1075263 as mentioned multiple times.

Bob (bbrazie) wrote :

Look at the font section too.

@Bob: How is that in any way related to the bug described here? If you find a bug, file one _unless_ you find it being reported already. In any case: Do NOT attach it to some random other bug!

From this point on I will viciously delete attachments etc. made here that do not fit exactly the bug description.

Bob (bbrazie) wrote :

Sorry I ment to file a new report I was was reading this earlyer in the day and just went back to it for some reason.

My mistake sorry it made you so upset.

Bob.

Hello all,

I keep reading that this is fixed but the the appmenu for libreoffice is broken for me, even after wiping my disk and doing a fresh install of Ubuntu 12.10 amd 64.

When starting libreoffice, by any means, the menu appears in the app panel but dissapears when trying a command like alt-f. The keystroke results in no activity other than causing the menu to dissapear.

The menu works with the mouse and it works with alt-f10. In each case the menu reappears, but still will not work with alt-keystrokes.

It occurs always.

Ben

Colin Law (colin-law) wrote :

@Benjamin: I believe that is bug #739184 (Mnemonics do not work in Unity) not this bug.

@Colin: Yes, that looks much more like it. Thank you.

1 comments hidden view all 182 comments

@comment 164: Why do you comment on bug 1075263 here then?

Closing this one:
- the original error behaviour has been fixed
- there are already more than 150 comments on this bug
- way too many similar, but different issues get mixed into this one.

If you have all the fixes installed (the LibreOffice and the indicator-appmenu one) and still see an issue, please file a NEW bug with a clear-cut reproduction scenario. Thanks.

Changed in bamf (Ubuntu):
status: Confirmed → Invalid
Changed in bamf (Ubuntu Quantal):
status: Confirmed → Invalid
Changed in indicator-appmenu:
status: Confirmed → Invalid
Changed in indicator-appmenu (Ubuntu):
status: Confirmed → Invalid
Changed in indicator-appmenu (Ubuntu Quantal):
status: Confirmed → Invalid
SRoesgen (s-roesgen) wrote :

@Björn Michaels
Sorry, to say it this way, but in my eyes this bug is not fixed at all because what led all these people here to vote "affects me" is definitively not off the table. So it is rather a way of closing the eyes and ignoring what is happening instead of just acting to close this bug (which really caused some uproar if you look a bit around in on or the other forum in the internet).

@all
I simply recommend to all of you to vote "affects me" on the launchpad bug 1085169
It is somewhat vague but actually depicts the problem many users are facing very well: "the menu in libreoffice stops working after some time". Full stop.
So I suppose we all will get what we want then: the users being confronted with this bug will still get some attention and the developers having their new bug (unnecessarily) opened.

@SRoesgen: The reason this bug has been closed is that the bug described in the initial report *has* been fixed. What you're describing is a different bug, as has been pointed out several times already. It makes no sense to conflate multiple bug reports. Not every problem with the menus in LibreOffice is due to the same bug or the same cause.

SRoesgen (s-roesgen) wrote :

@Scott Severance
Saying that the initial bug report has been fixed is ok for me.
But: there are still issues with the menu (and I mean really big issues). Today I had to close and open LibreOffice nine times to get the menu back to work (and this really was only today).

So please do me a favour and explain why it is not possible for the developers to say "this" bug report is fixed, but the issues that have been discussed in this report are still happening. Why is it then not possible that the developers themselves create a new bug report to show us that the developers are still working on the problems. I really would like to hear when these issues will be fixed or at least if/that somebody is working on them or if/that somebody took even notice of the other things discussed in this bug report.

Colin Law (colin-law) wrote :

@SRoesgen
Not everyone is seeing such problems (I see no problems currently for example). It is not sensible for developers to create a bug report if they are not seeing the issue - how can they include all the relevant detail? As you are still having problems then first try to find an existing bug that matches your symptoms. If you find it then that is the bug to attach to. If you cannot find one that matches then create a new one using the command
ubuntu-bug libreoffice
and it will collect information from your system that may help to diagnose the problem.

Please dont metadiscuss bughandling on a bug -- its for triaging the issue down to one reproducable scenario ideally and then fixing it, not for everything else. If you feel the need go to #ubuntu-quality or the mailing list https://wiki.ubuntu.com/QATeam -- see also https://wiki.ubuntu.com/LibreOfficeBugWrangling.

1 comments hidden view all 182 comments
Colin Law (colin-law) wrote :

The clue is that your question has appeared in both bugs and that they have the same number. They are different urls pointing to the same bug.

Andreas E. (andreas-e) wrote :

This is a severe productivity issue. Aside from trying to find a complete fix for long time, it would be very nice if we could get a toggle to just fallback to an in-app menu (hotfix?). I would be very thankful!

It seems libreoffice-gtk doesn't listen for UBUNTU_MENUPROXY=0 (?) and still shows the global menu which doesn't work for me.
http://askubuntu.com/questions/229031/can-i-turn-off-global-menu-only-in-nautilus

Download full text (3.7 KiB)

I agree, after a system wipe and clean install Quantal's LibreOffice HUD
and menus still don't work. The menus like save and save as don't work.
Which is difficult to say the least.

On 22 January 2013 18:31, Andreas E. <email address hidden> wrote:

> This is a severe productivity issue. Aside from trying to find a
> complete fix for long time, it would be very nice if we could get a
> toggle to just fallback to an in-app menu (hotfix?). I would be very
> thankful!
>
> It seems libreoffice-gtk doesn't listen for UBUNTU_MENUPROXY=0 (?) and
> still shows the global menu which doesn't work for me.
>
> http://askubuntu.com/questions/229031/can-i-turn-off-global-menu-only-in-nautilus
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1075885).
> https://bugs.launchpad.net/bugs/1064962
>
> Title:
> [SRU] Global menubar items do not work when opening a document
> directly from nautilus with no LibreOffice instance running
>
> Status in BAMF Application Matching Framework:
> Won't Fix
> Status in LibreOffice Productivity Suite:
> Won't Fix
> Status in The Application Menu:
> Invalid
> Status in “bamf” package in Ubuntu:
> Invalid
> Status in “indicator-appmenu” package in Ubuntu:
> Invalid
> Status in “libreoffice” package in Ubuntu:
> Fix Committed
> Status in “bamf” source package in Quantal:
> Invalid
> Status in “indicator-appmenu” source package in Quantal:
> Invalid
> Status in “libreoffice” source package in Quantal:
> Fix Released
>
> Bug description:
> [IMPACT]
>
> * there is no menu available in some scenarios of opening LibreOffice
> * makes LibreOffice essentially unusable when opening a docuemnt
> directly
>
> [TESTCASE]
>
> * open a existing file from nautilus -> no menu in a unity session
>
> [Regression Potential]
>
> * changes are to the menu code integration, possible regressions will
> be there
> * package has been available for user testing
> https://launchpad.net/~bjoern-michaelsen/+archive/libreoffice-quantaltest-20120601since 2012-10-26 without any reported regressions
> * see comment 74 for realworld enduser testing
>
> ---
> pre-SRU description details:
>
> 1) Have no instance of LibreOffice running
> 2) open a document by double-clicking it in nautilus
> 3) new window has no menu
> 4) unfocusing/refocusing (e.g. by pressing F7 to bring up the spelling
> dialog) makes the menu appear
>
> WORKAROUND: minimize and restore the LibreOffice window
> (more permanent workaround, disable the global menu by removing the
> package "libreoffice-gtk").
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: libreoffice-gtk 1:3.6.2~rc2-0ubuntu3
> ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
> Uname: Linux 3.5.0-17-generic x86_64
> NonfreeKernelModules: nvidia
> ApportVersion: 2.6.1-0ubuntu2
> Architecture: amd64
> Date: Wed Oct 10 11:48:20 2012
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> SourcePackage: libreoffice
> UpgradeStatus: Upgraded to quantal on 2012-09-30 (9 days ago)
>
> original description:
> In writer, none of the menubar ite...

Read more...

Colin Law (colin-law) wrote :

This bug has been long fixed, you may well be seeing bug #1085169 and/or bug #1045353.

Paul Greindl (paul-greindl) wrote :

This bug, or at least it's phenomena, still exists even in the newest raring (6th February)...

Walter Ribeiro (wribeirojr) wrote :

I can confirm that the issue is still present in Ubuntu 13.04.

4.0 released to raring

Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
Franck (alci) wrote :

@Björn: great ! I confirm that lo4 seem to be exempt of the problem !

hate_bugs_89 (oyv-soppelpost) wrote :

Where is the fix?? Still got this problem

2hate_bugs_89, in Ubuntu 13.04 (LibreOffice 4.0 Beta)

Displaying first 40 and last 40 comments. View all 182 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.